Bug 589100 - Registering RHEL client with latest rhn-client-tools causes Invalid arguments passed to function error
Registering RHEL client with latest rhn-client-tools causes Invalid arguments...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
1.0
All Linux
urgent Severity high
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: space11 589101
  Show dependency treegraph
 
Reported: 2010-05-05 08:00 EDT by Jan Pazdziora
Modified: 2010-08-19 04:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 589101 (view as bug list)
Environment:
Last Closed: 2010-08-19 04:24:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2010-05-05 08:00:51 EDT
Description of problem:

When rhnreg_ks is run with latest rhn-client-tools against Spacewalk 1.0, the profile get created but when sending package info, it fails.

Version-Release number of selected component (if applicable):

Spacewalk 1.0 on server.
rhn-client-tools-1.0.0-1.el5 on client.

How reproducible:

Deterministic.

Steps to Reproduce:
1. Have Spacewalk 1.0 and RHEL 5 client.
2. Upgrade rhn-client-tools from Spacewalk 1.0 client repo.
3. Run rhnreg_ks.
  
Actual results:

# rhnreg_ks --activationkey=1-test-1 --force
An error has occurred:

Error Class Code: 21
Error Class Info: Invalid arguments passed to function.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

See /var/log/up2date for more information

and on the server in /var/log/rhn/rhn_server_xmlrpc.log

2010/05/05 13:49:48 +02:00 12662 10.34.34.140: rhnSQL/driver_cx_Oracle.connect('Connecting to database', 'xe')
2010/05/05 13:49:48 +02:00 12662 10.34.34.140: xmlrpc/registration.welcome_message('lang: None',)
2010/05/05 13:49:48 +02:00 12655 10.34.34.140: xmlrpc/registration.create_system("token = '1-test-1'", '5Server', 'i686-redhat-linux')
2010/05/05 13:49:48 +02:00 12655 10.34.34.140: rhnServer/server_token.process_token(1000010022, 'enterprise_entitled')
2010/05/05 13:49:48 +02:00 12386 10.34.34.140: xmlrpc/registration.add_hw_profile(1000010022, 'items: 19')
2010/05/05 13:49:49 +02:00 12656 10.34.34.140: xmlrpc/registration._normalize_packages('ERROR', 'Invalid package spec for extended_profile >= 2', <type 'list'>, 'len = 5')

Expected results:

No error.

Additional info:

The thread on spacewalk-list is
https://www.redhat.com/archives/spacewalk-list/2010-May/msg00010.html
Comment 1 Jan Pazdziora 2010-05-05 08:02:49 EDT
Taking.
Comment 2 Jan Pazdziora 2010-05-05 08:06:27 EDT
The quick fix would be to revert 015c750daa164e80cca51bd683270fa1f91352ad.

That however brings back the duplicate registration.welcome_message, to retrieve the capabilities.
Comment 3 Jan Pazdziora 2010-05-05 08:18:54 EDT
Revert done in Spacewalk master, db3f1bd553304d4589d54d9d6ce6e45ef9d3915a.
Comment 4 Jan Pazdziora 2010-05-05 08:20:19 EDT
Tagged as rhn-client-tools-1.1.3-1.
Comment 5 Jan Pazdziora 2010-05-05 08:26:19 EDT
Cherry picked to SPACEWALK-1.0 as df55d4df46ecdb4ab34b474dcf81afab97ad6fb2, tagged as rhn-client-tools-1.0.2-1.
Comment 6 Jan Pazdziora 2010-05-05 09:45:04 EDT
Packages built.
Comment 7 Milan Zázrivec 2010-08-19 04:24:17 EDT
Spacewalk 1.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.